FreeBSD Administration - Bug #422

Problem With Nginx Phusion Passenger Module After Package Upgrade
07/14/2014 11:16 PM - Daniel Curtis

Status: Closed Start date: 07/14/2014
Priority: Normal Due date:

Assignee: Daniel Curtis % Done: 100%
Category: Web Server Estimated time: 1.00 hour
Target version: FreeBSD 9 Spent time: 1.50 hour
Description

| encountered a problem after upgrading my administration node. | upgraded my system using:

pkg update && pkg upgrade
The packages installed successfully, however when | go to restart nginx | receive an error:

2014/07/14 12:16:15 [alert] 55487#0: Unable to start the Phusion Passenger watchdog because it encountered the following
error during startup: Unable to start the Phusion Passenger helper agent: it seems to have crashed during startup for an
unknown reason, with exit code 1 (-1: Unknown error)

The Fix

It turns out that when | upgraded | did not lock the nginx package and the upgrade mucked up the passenger module. To fix this |
needed to reinstall nginx with passenger compiled in, like so:

portsnap fetch extract

cd /usr/ports/www/rubygem-passenger
make reinstall clean

cd /usr/ports/www/nginx

make config

make reinstall clean

NOTE: Make sure to enable the Passenger module when running make config when compiling nginx

History

#1 - 07/24/2014 09:27 AM - Daniel Curtis
- Status changed from New to Closed

- % Done changed from 90 to 100

#2 - 02/15/2015 09:05 PM - Daniel Curtis
- Project changed from 90 to FreeBSD Administration
- Category set to Web Server

- Target version set to FreeBSD 9
